pydo.volume_snapshots.delete_by_id()

Generated on 9 Jun 2026 from pydo version v0.36.0

Usage

client.volume_snapshots.delete_by_id(
    snapshot_id="fbe805e8-866b-11e6-96bf-000f53315a41",
)
Returns NoneRaises HttpResponseError

Description

To delete a volume snapshot, send a DELETE request to /v2/volumes/snapshots/{snapshot_id}.

A status of 204 will be given. This indicates that the request was processed successfully, but that no response body is needed.

Parameters

snapshot_id string required

The unique identifier for the snapshot.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

req = {
  "name": "big-data-snapshot1475261774"
}

resp = client.volume_snapshots.delete_by_id(snapshot_id="da3aa3a")

More Information

See /v2/volumes/snapshots/{snapshot_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.